Welcome!
Important information
-- Spectre and Meltdown vulnerabilities
-- Change in MX sources

News
-- MX Linux on social media: here
-- Mepis support still here

Current releases
-- MX-17.1 Final release info here
-- antiX-17 release info here

New users
-- Please read this first, and don't forget to add system and hardware information to posts!
-- Here are the Forum Rules

fb-messenger-cli crypt error

Post Reply
Message
Author
black-clover
Forum Novice
Forum  Novice
Posts: 9
Joined: Sun Oct 08, 2017 3:02 am

fb-messenger-cli crypt error

#1 Post by black-clover » Fri Oct 13, 2017 1:19 am

Hi,
First off, congratulations for MX16.
Great distro out of the box, proof is that I've been using it for a while without needing to post here ahah.
I have installed fb-messenger-cli on 16.0-4-686-pae.
Package was npm format, so I installed node v0.10.29 and npm 1.4.21 from the repository.
Install seemed to go fine, but when i run it I get this error:

Code: Select all

 fb-messenger-cli

/usr/local/lib/node_modules/fb-messenger-cli/cli.js:16
    crypt.load((err, data) => {
                            ^
SyntaxError: Unexpected token >
    at Module._compile (module.js:439:25)
    at Object.Module._extensions..js (module.js:474:10)
    at Module.load (module.js:356:32)
    at Function.Module._load (module.js:312:12)
    at Function.Module.runMain (module.js:497:10)
    at startup (node.js:119:16)
    at node.js:906:3

The issue seems to be with crypt.load but I'm not familiar with this program and wanted to know if anyone has used it before.

Thanks.

Post Reply

Return to “General”